# openPilotLog: ADate Class Reference

ADate Class Reference

The ADate class is responsible for input/output of Dates and handling the different Date Formats. More...

`#include <adate.h>`

## Static Public Member Functions

static QDate | formatInput (QString user_input, Opl::Date::ADateFormat format)
| formatInput takes a user-provided input and tries to convert it to a QDate. More...
static QString | toString (const QDate &date, Opl::Date::ADateFormat format=Opl::Date::ADateFormat::ISODate)
| Reimplements QDate::toString to accept Opl::Date::ADateFormat enums.
static const QStringList & | getDisplayNames ()
static const QString | getFormatString (Opl::Date::ADateFormat format)

## Detailed Description

The ADate class is responsible for input/output of Dates and handling the different Date Formats.

## Member Function Documentation

## formatInput()

QDate ADate::formatInput | ( | QString | user_input,
|  | Opl::Date::ADateFormat | format
| ) |  |

static

formatInput takes a user-provided input and tries to convert it to a QDate.

Returns
  QDate (invalid if input not recognized)

The documentation for this class was generated from the following files:

- src/functions/adate.h
- src/functions/adate.cpp